Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CleartextCredential

    java.lang.Object

      |

      +--oracle.ifs.common.CleartextCredential

All Implemented Interfaces:
  Credential, java.io.Serializable

public class CleartextCredential
extends java.lang.Object
implements Credential

A CleartextCredential encapsulates an unencrypted name and password for presentation to a CredentialManager to authenticate a user.

See Also:
  Serialized Form

Constructor Summary
`CleartextCredential()` Constructs a CleartextCredential.
`CleartextCredential(java.lang.String name, java.lang.String password)` Constructs a CleartextCredential.

Method Summary
`java.lang.String` | `getName()` Gets the name of the user.
`java.lang.String` | `getPassword()` Gets the password.
`void` | `setName(java.lang.String name)` Sets the name of the user.
`void` | `setPassword(java.lang.String password)` Sets the password.

Constructor Detail

### CleartextCredential

    public CleartextCredential()
                        throws IfsException

  Constructs a CleartextCredential.
  Throws:
    `IfsException` - if the operation fails

### CleartextCredential

    public CleartextCredential(java.lang.String name,
                               java.lang.String password)
                        throws IfsException

  Constructs a CleartextCredential.
  Parameters:
    `name` - the name of the user
    `password` - the password
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Gets the name of the user.
  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - if the operation fails

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Sets the name of the user.
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - if the operation fails

### getPassword

    public java.lang.String getPassword()
                                 throws IfsException

  Gets the password.
  Returns:
    the password
  Throws:
    `IfsException` - if the operation fails

### setPassword

    public void setPassword(java.lang.String password)
                     throws IfsException

  Sets the password.
  Parameters:
    `password` - the password
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD